%define name		xbsql
%define version		0.11
%define release		3mdk
%define lib_name_orig	lib%{name}
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_major}

Summary:	XBSQL: An SQL wrapper for xbase
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Databases
Source: 	%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
URL:		http://www.quaking.demon.co.uk/xbsql/
BuildRequires:  libxbase-devel libreadline-devel
Requires:	xbase

%description
Xbase DBMS is a C++ library which supports access to Xbase type datafiles and
indexes (ie., .dbf and related files).

%package -n %{lib_name}
Summary: Libraries for %{name}
Group:   System/Libraries
Provides: %{lib_name}-%{version}-%{release}
Provides: %{lib_name_orig}=%{version}-%{release}

%description -n %{lib_name}
Libraries for %{name}

%package -n %{lib_name}-devel
Summary: Headers for %{name}
Group:   Development/Databases
Requires: %{lib_name}-%{version}-%{release}
Requires: %{lib_name}
Provides: %{lib_name_orig}-%{version}-%{release}
Provides: %{name}-devel-%{version}-%{release}
Provides: %{name}-devel
Provides: %{lib_name}-devel

%description -n %{lib_name}-devel
Headers for %{name}

%prep
%setup -n %{name}-%{version}

%build
rm -f config.cache
%configure
%make 

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README AUTHORS TODO ChangeLog 
%{_bindir}/xql

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/libxbsql.la
%{_libdir}/libxbsql.so.0
%{_libdir}/libxbsql.so.0.0.0

%files -n %{lib_name}-devel
%defattr(-,root,root,-)
%{_includedir}/xbsql.h
%{_libdir}/libxbsql.so
%{_libdir}/libxbsql.a 

%changelog
* Sun Jan 4 2004 Spencer Anderson <sdander@oberon.ark.com> 0.11-3mdk
- buildrequires libreadline-devel
- move some libs

* Thu Dec 25 2003 Spencer Anderson <sdander@oberon.ark.com> 0.11-2mdk
- include missing libraries
- buildrequires and requires

* Tue Nov 18 2003 Spencer Anderson <sdander@oberon.ark.com> 0.11-1mdk
- initial Mandrake release
- needed by rekall

